import request from '@/utils/request'

// 查询盲板抽堵工作票列表
export function listBlindplate(query) {
  return request({
    url: '/ticket/blindplate/list',
    method: 'get',
    params: query
  })
}

// 查询盲板抽堵工作票详细
export function getBlindplate(bpId) {
  return request({
    url: '/ticket/blindplate/' + bpId,
    method: 'get'
  })
}

// 新增盲板抽堵工作票
export function addBlindplate(data) {
  return request({
    url: '/ticket/blindplate',
    method: 'post',
    data: data
  })
}

// 修改盲板抽堵工作票
export function updateBlindplate(data) {
  return request({
    url: '/ticket/blindplate',
    method: 'put',
    data: data
  })
}

// 删除盲板抽堵工作票
export function delBlindplate(bpId) {
  return request({
    url: '/ticket/blindplate/' + bpId,
    method: 'delete'
  })
}

// 导出盲板抽堵工作票
export function exportBlindplate(query) {
  return request({
    url: '/ticket/blindplate/export',
    method: 'get',
    params: query
  })
}